com.sun.jna.platform

## Class DesktopWindow

- java.lang.Object
- - com.sun.jna.platform.DesktopWindow

    public class DesktopWindow
    extends java.lang.Object

Holds some general information about a window.

Author:
  Andreas "PAX" Lück, onkelpax-git[at]yahoo.de

### Constructor Summary

Constructors
Constructor and Description
`DesktopWindow(WinDef.HWND hwnd, java.lang.String title, java.lang.String filePath, java.awt.Rectangle locAndSize)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getFilePath()`
`WinDef.HWND` `getHWND()`
`java.awt.Rectangle` `getLocAndSize()`
`java.lang.String` `getTitle()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DesktopWindow

    public DesktopWindow(WinDef.HWND hwnd,
                         java.lang.String title,
                         java.lang.String filePath,
                         java.awt.Rectangle locAndSize)

Parameters:
  `hwnd` - The associated window handle for this window.
  `title` - The title text of the window.
  `filePath` - The full file path to the main process that created the window.
  `locAndSize` - The window's location on screen and its dimensions.

### Method Detail

#### getHWND

    public WinDef.HWND getHWND()

Returns:
  The associated window handle for this window.

#### getTitle

    public java.lang.String getTitle()

Returns:
  The title text of the window.

#### getFilePath

    public java.lang.String getFilePath()

Returns:
  The full file path to the main process that created the window.

#### getLocAndSize

    public java.awt.Rectangle getLocAndSize()

Returns:
  The window's location on screen and its dimensions.

Copyright © 2007-2016 Timothy Wall. All Rights Reserved.